Bug 446068 - [RHEL5] k8_edac: typo in 'EDAC k8 MC0: GART TLB errorr: '
[RHEL5] k8_edac: typo in 'EDAC k8 MC0: GART TLB errorr: '
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Aristeu Rozanski
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 11:36 EDT by Aristeu Rozanski
Modified: 2009-01-20 15:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:21:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aristeu Rozanski 2008-05-12 11:36:16 EDT
+++ This bug was initially created as a clone of Bug #433341 +++

Escalated to Bugzilla from IssueTracker

-- Additional comment from tao@redhat.com on 2008-02-18 14:14 EST --
Description of problem:
Customer is getting following error messages:-
<snip>
1568 Mar 15 13:16:57 evebe666 kernel: EDAC k8 MC0: GART TLB errorr: transaction
type(generic), cache level(generic)
 1569 Mar 15 13:16:57 evebe666 kernel: EDAC k8 MC0: extended error code: GART error
<snip> 

There is is typo in the messages.

Actual results:
In the messages we see following:-
"errorr: transaction type....."

Expected results:
It should be 
"error: transaction type...."

Additional info:
In the source of "2.6.9-67" kernel I see following in "drivers/edac/k8_edac.c" file.
<snip>
k8_mc_printk(mci, KERN_ERR,
                     "GART TLB errorr: transaction type(%s), "
                     "cache level(%s)\\n", tt_msgs[ec_tt], ll_msgs[ec_ll]);
<snip>
This event sent from IssueTracker by streeter  [SEG - Kernel]
 issue 164579

-- Additional comment from streeter@redhat.com on 2008-02-18 14:15 EST --
This code comes from the linux-2.6.9-edac.patch in the RHEL4 kernel. It does not
appear to be in the upstream kernel.

-- Additional comment from arozansk@redhat.com on 2008-04-15 12:10 EST --
Created an attachment (id=302487)
test patch

Upstream (on bluesmoke project) patch.
Comment 1 RHEL Product and Program Management 2008-05-12 13:21:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Don Zickus 2008-07-18 16:07:32 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2009-01-20 15:21:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.